Package org.eclipse.graphiti.internal.services

# Interface IEmfService

All Known Implementing Classes:
  `EmfService`

public interface IEmfService

## Method Summary

Modifier and Type
Method
Description
`IDiagramTypeProvider`
`getDTPForDiagram(Diagram d)`
`boolean`
`isObjectAlive(org.eclipse.emf.ecore.EObject obj)`
`void`
`wireDTPToDiagram(Diagram d, IDiagramTypeProvider provider)`

## Method Details

### isObjectAlive

boolean isObjectAlive(org.eclipse.emf.ecore.EObject obj)

### getDTPForDiagram

IDiagramTypeProvider getDTPForDiagram(Diagram d)

### wireDTPToDiagram

void wireDTPToDiagram(Diagram d, IDiagramTypeProvider provider)